# Let's put these exceptions in until upstream will fix the issue
%define _requires_exceptions pear(Date/lib/Horde/Date.php)\\|pear(Exception/lib/Horde/Exception.php)\\|pear(Exception/lib/Horde/Exception/Wrapped.php)\\|pear(Mime/lib/Horde/Mime/Address.php)\\|pear(Mime/lib/Horde/Mime.php)\\|pear(Support/lib/Horde/Support/Uuid.php)\\|pear(tests/lib/Horde/Icalendar.php)\\| pear(Translation/lib/Horde/Translation.php)\\|pear(Util/lib/Horde/String.php)\\|pear(Util/lib/Horde/Util.php)\\|pear(Translation/lib/Horde/Translation.php)
%define upstream_name Horde_Icalendar
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.1
Release:     	%mkrel 1
Summary:    	iCalendar API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Date < 2.0.0
Requires:  	php-pear-Horde_Exception < 2.0.0
Requires:  	php-pear-Horde_Mime < 2.0.0
Requires:  	php-pear-Horde_Support < 2.0.0
Requires:  	php-pear-Horde_Translation < 2.0.0
Requires:  	php-pear-Horde_Util < 2.0.0
Conflicts:  	php-pear-Horde_Date = 2.0.0
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Mime = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Icalendar = %{version}
Obsoletes:	horde-icalendar	

%description
This package provides an API for dealing with iCalendar data.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Icalendar.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Icalendar.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Icalendar
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Icalendar/*
%{peardir}/*
%{xmldir}/Horde_Icalendar.xml


%changelog

* Sat Jan 21 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 199250
- upgrade to 1.1.1

* Fri Dec 23 2011 spuhler <spuhler> 1.1.0-3.mga2
+ Revision: 186344
- exceptions put back since upstream hasn't fixed the bugs yet

* Fri Dec 23 2011 spuhler <spuhler> 1.1.0-2.mga2
+ Revision: 186309
- upgrade to 1.1.0

* Sat Dec 03 2011 spuhler <spuhler> 1.0.5-2.mga2
+ Revision: 175684
- added the exceptions until upstream fixes the wrong deps

* Mon Nov 28 2011 spuhler <spuhler> 1.0.5-1.mga2
+ Revision: 173329
- upgrade to 1.0.5

* Sun Nov 06 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 164467
- upgrade to 1.0.4
- added +%%define _requires_exceptions (pear(\\(Date/lib/Horde/Date.php\\|Exception/lib/Horde/Exception.php)) to get around the invalid requires
-Provides:      	php-pear-Horde_Icalendar
  +Provides:      	php-pear-Horde_Icalendar = %%{version}
- imported package php-pear-Horde_Icalendar

